gcc-4.6.0

Matthew Burgess matthew at linuxfromscratch.org
Sun Mar 27 10:36:36 PDT 2011


On Sun, 27 Mar 2011 18:18:18 +0100, Andrew Benton <b3nton at gmail.com> wrote:
> Hello World,
> I see that gcc-4.6.0 is out. I tried to use it but the build fails at
> the first pass in libquadmath with an error about GCC_NO_EXECUTABLES.
> So I added --disable-libquadmath to the configure line but it didn't
> help. It still fails in libiberty like so:

Hmm, that's odd. I saw the same error in libquadmath and passing
--disable-libquadmath was enough to get gcc-4.6.0 to build here.  Note
I only needed to add it to GCC-Pass1. The other 2 passes are fine.

Not sure why you're also seeing this in the libiberty directory too,
sorry :(

The only other change I made was to remove the now redundant
--with-gmp-include=$(pwd)/gmp and --with-gmp-lib=$(pwd)/gmp/.libs
switches; this version of GCC appears to correctly detect the gmp library.

I can't imagine that'd help with the libiberty issue you're seeing though.

Regards,

Matt.




More information about the lfs-dev mailing list